
QGIS Application - Bug report #16709

GeoJSON URLs (https) can't be added to projects  in 2.18.9 (worked in previous 2.18 point releases)

2017-06-12 09:43 PM - Greg Cocks

Status: Closed

Priority: High

Assignee:

Category: Data Provider

Affected QGIS version:2.18.9 Regression?: Yes

Operating System: Windows 7 Pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 24608

Description

QGIS v2.18.9 - GeoJSON URLs can't be added and previous version *.qgs with them in 'break'

1) An example *.qgs file with six (6) GeoJSON 'layers' successfully tested in v2.8, v2.18.3, v2.18.6, v2.18.7 by multiple users on different

networks (attached file: nldi_example_GeoJSON_connect_20170606.qgs)

2) however in 2.18.9

a) *.qgs file says "Unhandled layers will be lost", etc (see attached screenshot: qgis_latest_version.jpg)

b) trying to add to a be project file a GeoJSON URL that uses the protocol (e.g.,  

https://cida.usgs.gov/nldi/nwissite/USGS-05429700/navigate/UT/wqp) that works in previous versions gives Invalid Data Source

Error error (see attached screenshot: qgis_latest_version_individual.jpg)

Thanks in advance!

(new to reporting bugs via this system, trust that I provided all of the information you needed, concisely)

Regards,

GREG COCKS

gcocks@usgs.gov

History

#1 - 2017-06-12 09:58 PM - Greg Cocks

- File qgis_latest_version_project.jpg added

#2 - 2017-06-13 01:55 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Priority changed from Normal to High

- Subject changed from QGIS v2.18.9 - GeoJSON URLs can't be added and previous version *.qgs with them in 'break' to GeoJSON URLs (https) can't 

be added to projects  in 2.18.9 (worked in previous 2.18 point releases)

Notes:

in the QGIS log you will see

2017-06-13T12:30:01    1    Data source is invalid (SSL certificate problem: self signed certificate in certificate chain)

2017-06-13T12:30:01    1    Data source is invalid (SSL certificate problem: self signed certificate in certificate chain)

2017-06-13T12:30:02    1    Data source is invalid (SSL certificate problem: self signed certificate in certificate chain)
2017-06-13T12:30:03    1    Data source is invalid (SSL certificate problem: self signed certificate in certificate chain)

2017-06-13T12:30:03    1    Data source is invalid (SSL certificate problem: self signed certificate in certificate chain)

2017-06-13T12:30:05    1    Data source is invalid (SSL certificate problem: self signed certificate in certificate chain)

so seems something related to the fact that this datasources comes via HTTPS and the certificates used in that sites.

Curiously in 2.18.9 on Linux the project (and the single datasources) open just fine.

What can you say to us about those https addresses certificates?

#3 - 2017-06-13 01:55 PM - Giovanni Manghi

- Status changed from Open to Feedback

#4 - 2017-07-25 08:28 PM - Giovanni Manghi

- Resolution set to invalid

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Feedback to Closed

Closing for lack of feedback.
